﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace rajz1
{
    public partial class Form1 : Form
    {
        Pen p = new Pen(Color.Blue, 4);
        Brush b = new SolidBrush(Color.Indigo);
        Graphics g;


        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            g = Graphics.FromImage(pictureBox1.Image);
            g.DrawEllipse(p, 200, 200, 50, 30);
            pictureBox1.Refresh();
        }

        private void pictureBox1_MouseClick(object sender, MouseEventArgs e)
        {
            if(e.Button == System.Windows.Forms.MouseButtons.Left)
                g.DrawEllipse(p, e.X-15, e.Y-15, 30, 30);
            if (e.Button == System.Windows.Forms.MouseButtons.Right)
            {                
                g.FillRectangle(b, e.X - 10, e.Y - 10, 20, 20);
                g.DrawRectangle(p, e.X - 10, e.Y - 10, 20, 20);
            }
            pictureBox1.Refresh();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            g.Clear(Color.White);
            pictureBox1.Refresh();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            pictureBox1.Image = Properties.Resources.kep;
            g = Graphics.FromImage(pictureBox1.Image);            
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                pictureBox1.Image.Save(saveFileDialog1.FileName);
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                pictureBox1.Image = Image.FromFile(openFileDialog1.FileName);
                g = Graphics.FromImage(pictureBox1.Image);
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            Graphics x = this.CreateGraphics();
            for (int i = 0; i < imageList1.Images.Count; i++)
            {
                x.DrawImage(imageList1.Images[i], 10+i*55,420);
            }
        }

        private void button6_Click(object sender, EventArgs e)
        {
            Random r = new Random();
            int [] v = new int [10];
            int n = imageList1.Images.Count;
            for (int i = 0; i < n; i++)
            {
                v[i] = i;
            }
            int a, b, c;
            for (int i = 0; i < 20; i++)
            {
                a = r.Next(n);
                b = r.Next(n);
                if (a != b)
                {
                    c = v[a]; v[a] = v[b]; v[b] = c;
                }
            }


            Graphics x = this.CreateGraphics();
            //x.Clear(this.BackColor);
            x.FillRectangle(new SolidBrush(this.BackColor), 0, 475, this.Width, 50);
            for (int i = 0; i < imageList1.Images.Count; i++)
            {
                x.DrawImage(imageList1.Images[ v[i] ], 10 + i * 55, 475);
            }
        }

        private void pictureBox1_MouseMove(object sender, MouseEventArgs e)
        {
            
        }
    }
}
